Name: elinos-ash
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 0.2
Release: 1

BuildArchitectures: noarch

Copyright: Sysgo Real-Time Solutions GmbH
Source0: ash-%{version}.tar.gz
Patch0: %{name}.patch

BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE (default for SRPM)
#
Summary: Simple Bourne compatible shell
Group: Development/System
AutoReqProv: no

%description
ash is a Bourne compatible shell. If has more advanced scripting
capabilities than the lash in busybox.

#
#  PACKAGE (default for SRPM)
#
%package -n elinos-ash-%{_elinos_rpmid}
Summary: Simple Bourne compatible shell
Group: Development/System
AutoReqProv: no

%description -n elinos-ash-%{_elinos_rpmid}
ash is a Bourne compatible shell. If has more advanced scripting
capabilities than the lash in busybox.

%files -n elinos-ash-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_install_prefix}/elinos

#
#  PREP
#
%prep
%setup -q -n ash-%{version}
%patch0 -p1


#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

make \
 -f Makefile.elinos \
 CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}" \
 AR=%{_elinos_tool_prefix}ar \
 RANLIB=%{_elinos_tool_prefix}ranlib \
 LD=%{_elinos_tool_prefix}ld \
 NM=%{_elinos_tool_prefix}nm \
 prefix=%{_elinos_target_dir}/%{_elinos_libc}/ash \
 all

#
#  INSTALL
#
%install
rm -rf $RPM_BUILD_ROOT

PATH=$PATH:%{_elinos_bin_dir}
install -d -m 755 ${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default/usr

make \
 -f Makefile.elinos \
 CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}" \
 AR=%{_elinos_tool_prefix}ar \
 RANLIB=%{_elinos_tool_prefix}ranlib \
 LD=%{_elinos_tool_prefix}ld \
 NM=%{_elinos_tool_prefix}nm \
 prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/ash \
 install

%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
make \
 -f Makefile.elinos \
 CC="%{_elinos_tool_prefix}gcc -static %{_elinos_cflags}" \
 AR=%{_elinos_tool_prefix}ar \
 RANLIB=%{_elinos_tool_prefix}ranlib \
 LD="%{_elinos_tool_prefix}ld -Bstatic" \
 NM=%{_elinos_tool_prefix}nm \
 prefix=%{_elinos_target_dir}/static/ash \
 clean all
make \
 -f Makefile.elinos \
 CC="%{_elinos_tool_prefix}gcc -static %{_elinos_cflags}" \
 AR=%{_elinos_tool_prefix}ar \
 RANLIB=%{_elinos_tool_prefix}ranlib \
 LD="%{_elinos_tool_prefix}ld -Bstatic" \
 NM=%{_elinos_tool_prefix}nm \
 prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/ash \
 install
%endif

#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
