Name: elinos-etherboot
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 5.0.4
Release: 1

BuildArchitectures: noarch

Copyright: GNU
Source0: etherboot-%{version}.tar.gz
Patch0: %{name}.patch

BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE
#
Summary: Texinfo to ROFF converter
Group: Development/System
AutoReqProv: no

%description
Etherboot is a software package for creating ROM images that can
download code over an Ethernet network to be executed on an x86
computer. Many network adapters have a socket where a ROM chip can be
installed.  Etherboot is code that can be put in such a ROM.  Etherboot
is normally used for for booting PCs diskless.

%files
%defattr(-,root,root)
%{_elinos_install_prefix}/elinos

#
#  PREP
#
%prep
%setup -q -n etherboot-%{version}
%patch0 -p1

#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

make -C src PREFIX=${RPM_BUILD_ROOT}%{_elinos_install_prefix}/elinos all

#
#  INSTALL
#
%install

rm -rf $RPM_BUILD_ROOT

make -C src PREFIX=${RPM_BUILD_ROOT}%{_elinos_install_prefix}/elinos floppy

#
#  CLEAN
#
%clean

rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
