name: elinos-linuxthreads
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 0.71
Release: 1

Prefix: %{_elinos_install_prefix}
BuildArchitectures: noarch
Buildroot: /var/tmp/%{name}-root

Copyright: GPL
Source0: linuxthreads-%{version}.tar.gz
Patch0: %{name}.patch


#
#  PACKAGE (SRPM)
#
Summary: Implementation of the Posix 1003.1c "pthread" interface
Group: Development/Tools

%description
%{distribution}


#
#  PACKAGE (RPM)
#
%package -n elinos-linuxthreads-%{_elinos_rpmid}
Summary: Implementation of the Posix 1003.1c "pthread" interface
Group: Development/Tools

%description -n elinos-linuxthreads-%{_elinos_rpmid}
This is release 0.7 (late beta) of LinuxThreads, a BiCapitalized
implementation of the Posix 1003.1c "pthread" interface for Linux.

LinuxThreads provides kernel-level threads: each thread is a separate
Unix process, sharing its address space with the other threads through
the new system call clone(). Scheduling between threads is handled by
the kernel scheduler, just like scheduling between Unix processes.

%files -n elinos-linuxthreads-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_install_prefix}/elinos


#
#  PREP
#
%prep
%setup -q -n linuxthreads-%{version}
%patch0 -p1


#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

make -f Makefile.elinos \
        CC="%{_elinos_tool_prefix}gcc" \
        PREFIX="${RPM_BUILD_ROOT}%{_elinos_install_dir}/%{_elinos_conftarget}" all


#
#  INSTALL
#
%install

PATH=$PATH:%{_elinos_bin_dir}

make -f Makefile.elinos \
        CC="%{_elinos_tool_prefix}gcc" \
        PREFIX="${RPM_BUILD_ROOT}%{_elinos_install_dir}/%{_elinos_conftarget}" install

#
#  CLEAN
#
%clean
rm -rf ${RPM_BUILD_ROOT}


#
#  CHANGELOG
#
%changelog
* Mon Mar 13 2000 mag@sysgo.de
- initial release 
