Name: elinos-mknbi
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 1.2
Release: 1

BuildArchitectures: noarch

Copyright: GNU
Source0: mknbi-%{version}.tar.gz
Patch0: %{name}.patch

BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE
#
Summary: Texinfo to ROFF converter
Group: Development/System
AutoReqProv: no

%description
mknbi is a utility for building a tagged image for kernel for various
operating systems. It can also build a tagged image for an Etherboot ROM,
image, which isn't really an operating system.

%files
%defattr(-,root,root)
%{_elinos_install_prefix}/elinos

#
#  PREP
#
%prep
%setup -q -n mknbi-%{version}
%patch0 -p1

#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

make BUILD_ROOT=${RPM_BUILD_ROOT} PREFIX=%{_elinos_install_prefix}/elinos all

#
#  INSTALL
#
%install

rm -rf $RPM_BUILD_ROOT

PATH=$PATH:%{_elinos_bin_dir}

make BUILD_ROOT=${RPM_BUILD_ROOT} PREFIX=%{_elinos_install_prefix}/elinos install

#
#  CLEAN
#
%clean

rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
