Name: elinos-modutils
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 2.4.3
Release: 1

BuildArchitectures: noarch

Copyright: Sysgo Real-Time Solutions GmbH
Source0: modutils-%{version}.tar.gz
Patch0: %{name}.patch

BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE (SRPM)
#
Summary: Kernel Module Utilities
Group: Development/System
AutoReqProv: no
%description
modutils is used to interactively configure a networking device. 

#
#  PACKAGE
#
%package -n elinos-modutils-%{_elinos_rpmid}
Summary: Kernel Module Utilities
Group: Development/System
AutoReqProv: no

%description -n elinos-modutils-%{_elinos_rpmid}
modutils is used to interactively configure a networking device. 

%files -n elinos-modutils-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_install_prefix}/elinos

#
#  PREP
#
%prep
%setup -q -n modutils-%{version}
%patch0 -p1
    
rm -rf %{OBJDIR}
mkdir %{OBJDIR}

#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}
SRCDIR="$PWD"
cd %{OBJDIR}

%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
%endif

BUILDCC=gcc \
CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}" \
AR=%{_elinos_tool_prefix}ar \
RANLIB=%{_elinos_tool_prefix}ranlib \
LD=%{_elinos_tool_prefix}ld \
NM=%{_elinos_tool_prefix}nm \
${SRCDIR}/configure \
 --host=%{_elinos_host_config} \
 --target=%{_elinos_target_config} \
 --disable-strip \
 --prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default
make all

#
#  INSTALL
#
%install
rm -rf $RPM_BUILD_ROOT

PATH=$PATH:%{_elinos_bin_dir}
SRCDIR="$PWD"
cd %{OBJDIR}

make install

%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
make \
 BUILDCC=gcc \
 CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags} -static" \
 AR=%{_elinos_tool_prefix}ar \
 RANLIB=%{_elinos_tool_prefix}ranlib \
 LD=%{_elinos_tool_prefix}ld \
 NM=%{_elinos_tool_prefix}nm \
 clean all
 make prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/default install
%endif

#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
