Name: elinos-thttpd
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 2.20b
Release: 1

BuildArchitectures: noarch

Copyright: Sysgo Real-Time Solutions GmbH
Source0: thttpd-%{version}.tar.gz
Patch0: %{name}.patch

BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE: SRPM
#
Summary: Kernel Module Utilities
Group: Development/System
AutoReqProv: no

%description
Thttpd (Throttling httpd) is a simple but efficient Web-Server.

#
#  PACKAGE: RPM
#
%package -n elinos-thttpd-%{_elinos_rpmid}
Summary: Kernel Module Utilities
Group: Development/System
AutoReqProv: no

%description -n elinos-thttpd-%{_elinos_rpmid}
Thttpd (Throttling httpd) is a simple but efficient Web-Server.

%files -n elinos-thttpd-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_install_prefix}/elinos

#
#  PREP
#
%prep
%setup -q -n thttpd-%{version}
%patch0 -p1


#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
%endif

CC="%{_elinos_tool_prefix}gcc  %{_elinos_cflags}" \
AR=%{_elinos_tool_prefix}ar \
RANLIB=%{_elinos_tool_prefix}ranlib \
LD=%{_elinos_tool_prefix}ld \
NM=%{_elinos_tool_prefix}nm \
./configure \
--host=%{_elinos_target_config} \
--prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default
make all

#
#  INSTALL
#
%install
rm -rf $RPM_BUILD_ROOT

PATH=$PATH:%{_elinos_bin_dir}
make install
%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
%endif

#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
