/*
 * jtag_byte.h - Interface specification to JTAG driver
 *
 */

/* $Id: jtag_byte.h,v 1.1.1.1 2001/12/13 13:09:21 kanne Exp $ */

#ifndef JTAG_BYTE_H
#define JTAG_BYTE_H

typedef union jtag_byte {
        unsigned char value;
        struct jtag_bits {
            unsigned char tms:1;
            unsigned char tdi:1;
            unsigned char tdo:1;
            unsigned char tck:1;
            unsigned char bit4:1;
            unsigned char bit5:1;
            unsigned char bit6:1;
            unsigned char bit7:1;
	} bits;
} jtag_byte;

#endif /* ifndef JTAG_BYTE_H */
