/***************************************************************************
                          global.h  -  description
                             -------------------
    begin                : Wed Sep 10 2003
    copyright            : (C) 2003 by Arno Geissel
    email                : geissel@t-c-linux
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

 #ifndef __GLOBAL_H__
 #define __GLOBAL_H__

 //#define DEBUG(args...)  printk("gpib: "); printk(##args)
 #define DEBUG(args...)
 //#define SHOW_BITS
 //#define PRINTK_DEBUG

 #define MODULE_NAME  "gpib"
 #define DEV_MAJOR    125
 #define TRUE 1
 #define FALSE 0
 #endif


 // memory actions that have to be done in place (not loading into register and then write back)
 #define atomic_add_in_place(adress, value)            \
         __asm__ ( "addl %%eax, (%%edx)"        \
                   : /* no outputs */           \
                   : "a" (value), "d" (adress)  )

 #define atomic_sub_in_place(adress, value)            \
         __asm__ ( "subl %%eax,(%%edx)"         \
                   : /* no outputs */           \
                   : "a" (value), "d" (adress)  )









